gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.FlagsClass

Contents

- Exported types
- Methods
- Properties
  - gTypeClass
  - mask
  - nValues

Description

The class of a flags type holds information about its possible values.

Synopsis

- newtype FlagsClass = FlagsClass (ManagedPtr FlagsClass)
- newZeroFlagsClass :: MonadIO m => m FlagsClass
- getFlagsClassGTypeClass :: MonadIO m => FlagsClass -> m TypeClass
- getFlagsClassMask :: MonadIO m => FlagsClass -> m Word32
- setFlagsClassMask :: MonadIO m => FlagsClass -> Word32 -> m ()
- getFlagsClassNValues :: MonadIO m => FlagsClass -> m Word32
- setFlagsClassNValues :: MonadIO m => FlagsClass -> Word32 -> m ()

# Exported types

newtype FlagsClass Source #

Memory-managed wrapper type.

Constructors

FlagsClass (ManagedPtr FlagsClass) |

#### Instances

Instances details

Eq FlagsClass Source # |
Instance details Defined in GI.GObject.Structs.FlagsClass Methods (==) :: FlagsClass -> FlagsClass -> Bool Source # (/=) :: FlagsClass -> FlagsClass -> Bool Source #
BoxedPtr FlagsClass Source # |
Instance details Defined in GI.GObject.Structs.FlagsClass Methods boxedPtrCopy :: FlagsClass -> IO FlagsClass Source # boxedPtrFree :: FlagsClass -> IO () Source #
CallocPtr FlagsClass Source # |
Instance details Defined in GI.GObject.Structs.FlagsClass Methods boxedPtrCalloc :: IO (Ptr FlagsClass) Source #
ManagedPtrNewtype FlagsClass Source # |
Instance details Defined in GI.GObject.Structs.FlagsClass Methods toManagedPtr :: FlagsClass -> ManagedPtr FlagsClass Source #
tag ~ 'AttrSet => Constructible FlagsClass tag Source # |
Instance details Defined in GI.GObject.Structs.FlagsClass Methods new :: MonadIO m => (ManagedPtr FlagsClass -> FlagsClass) -> [AttrOp FlagsClass tag] -> m FlagsClass Source #

newZeroFlagsClass :: MonadIO m => m FlagsClass Source #

Construct a `FlagsClass` struct initialized to zero.

# Methods

# Properties

## gTypeClass

the parent class

getFlagsClassGTypeClass :: MonadIO m => FlagsClass -> m TypeClass Source #

Get the value of the “`g_type_class`” field. When overloading is enabled, this is equivalent to

    get flagsClass #gTypeClass

## mask

a mask covering all possible values.

getFlagsClassMask :: MonadIO m => FlagsClass -> m Word32 Source #

Get the value of the “`mask`” field. When overloading is enabled, this is equivalent to

    get flagsClass #mask

setFlagsClassMask :: MonadIO m => FlagsClass -> Word32 -> m () Source #

Set the value of the “`mask`” field. When overloading is enabled, this is equivalent to

    set flagsClass [ #mask := value ]

## nValues

the number of possible values.

getFlagsClassNValues :: MonadIO m => FlagsClass -> m Word32 Source #

Get the value of the “`n_values`” field. When overloading is enabled, this is equivalent to

    get flagsClass #nValues

setFlagsClassNValues :: MonadIO m => FlagsClass -> Word32 -> m () Source #

Set the value of the “`n_values`” field. When overloading is enabled, this is equivalent to

    set flagsClass [ #nValues := value ]